Subject: IPP> FW: Harald's note on Internationalization Policy

From: [email-masked] (Ira Mcdonald x10962)
Date: Thu, 9 Oct 1997 12:51:49 PDT

Hi folks,                                      Thursday (9 October 1997)

With Harald Alvestrand's kind permission, I am forwarding to the IPP,
JMP, and PMP lists his reply to my recent question about the timeframe
for adoption of the IETF Policy on Character Sets and Languages (which
Harald presented at the IETF Plenary in Munich in August).  I have also
forwarded my original note to Harald last week (for context).

As Harald makes clear, expect to have to give adequate answers for all
IETF-chartered projects to the requirements stated in Harald's policy,
which may be found at "ftp://ds.internic.net/Internet-Drafts" as

    "draft-alvestrand-charset-policy-01.txt"

Please note that the Printer MIB v2 is NOT exempt from compliance with
this policy on internationalization of text strings.

Cheers,
- Ira McDonald (outside consultant at Xerox)
  High North Inc
  PO Box 221
  Grand Marais, MI  49839
  906-494-2434

>----------------------------------------------------------------------<
>From: [email-masked]
>To: [email-masked] (Ira Mcdonald x10962)
>Cc: [email-masked]
>Subject: Re: Timeframe of adoption for IETF Charset/Language Policy?
>In-Reply-To: Your message of "Tue, 30 Sep 1997 08:45:55 PDT."
>Date: Thu, 9 Oct 1997 08:10:59 PDT
>
>Ira,
>I hope to have the rules in force some time in November.
>It'll be safe to assume that I'll be asking the questions of
>protocols before that time, too.
>
>I've got the printing MIBs and things on my list of things to check
>(which unfortunately is long). I won't forget, but may be late....
>
>                 Harald A
>----------------------------------------------------------------------<
>>Date: Tue, 30 Sep 97 11:45:55 EDT
>>From: [email-masked] (Ira Mcdonald x10962)
>>To: [email-masked],
>>    [email-masked], imcdonal
>>Subject: Timeframe of adoption for IETF Charset/Language Policy?
>>
>>Hi Harald,                              Tuesday (30 September 1997)
>>
>>I just read your second draft ('...policy-01.txt') of the IETF
>>Charset/Language policy.  It is EXCELLENT work.  
>>
>>I'm wondering if you could characterize the timeframe when you
>>expect (or hope) for adoption of this policy (and presumably
>>publication as an RFC).
>>
>>The PWG (Printer Working Group) members are working on three
>>projects which would be affected by this policy (and the need
>>for waivers for non-conformance for protocols entering OR
>>advancing upon the IETF 'standards track'):
>>
>>Printer MIB v2.0 (updates RFC 1759)
>>- clearly deficient, as numerous read-only and read-write
>>  descriptive text strings are entirely without labels for
>>  charset OR language 
>>- would NOT be permitted to advance to Draft Standard, if
>>  subject to the IETF's policy
>>
>>Job MIB v0.86 (latest of six I-Ds)
>>- since it intends to cohere with IPP and Tom Hastings edits
>>  this MIB, it can safely be assumed to meet the IETF policy
>>  before completion
>>- I'm aware that you and Keith Moore have stated that this
>>  is NOT a chartered IETF project, nonetheless, the PWG's
>>  Job Mon MIB working group are following IETF SMIv2 and
>>  other applicable rules
>>
>>Internet Print Protocol v1.0 (still in late I-D stage)
>>- I'm delighted to point out to you that two weeks ago
>>  the IPP working group decided to add 'charset/language'
>>  prefixes (in the style of RFC 2184) to EACH operation
>>  and/or object attribute of datatype 'text' or 'name'
>>- We are also working to make sure that documents sent
>>  directly (ie, PrintJob) or by reference (ie, SendURI)
>>  are labelled (EXTERNALLY) with 'document-format' (a
>>  MIME 'media-type') and 'document-language' (RFC 1766 tag).
>>
>>Cheers,
>>- Ira McDonald (outside consultant at Xerox)
>>  High North Inc
>>  PO Box 221
>>  Grand Marais, MI  49839
>>  906-494-2434